%if 0%{?fedora} > 12
%global with_python3 1
%endif

%global pypi_name fasteners

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        2%{?dist}
Summary:        A python package that provides useful locks

License:        ASL 2.0
URL:            https://github.com/harlowja/fasteners
Source0:        https://codeload.github.com/harlowja/fasteners/tar.gz/%{version}#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel

BuildRequires:  python-six
Requires:       python-six

# tests:
BuildRequires:  python-testtools
BuildRequires:  python-nose

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A python package that provides useful locks

BuildRequires:  python3-six
BuildRequires:  python3-devel

# tests
BuildRequires:  python3-testtools
BuildRequires:  python3-nose

Requires:  python3-six

%description -n python3-%{pypi_name}
A python package that provides useful locks.


%endif


%description
A python package that provides useful locks.


%prep
%setup -qc
mv %{pypi_name}-%{version} python2
pushd python2

# copy LICENSE etc. to top level dir
cp -a LICENSE ..
cp -a README.rst ..

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

popd

%if 0%{?with_python3}
cp -a python2 python3
%endif


%build
pushd python2
%{__python2} setup.py build
popd

%if 0%{?with_python3}
pushd python3
%{__python3} setup.py build
popd
%endif # with_python3

%install
pushd python2
%{__python2} setup.py install --skip-build --root %{buildroot}
popd

%if 0%{?with_python3}
pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%check
nosetests-2.7

%if 0%{?with_python3}
nosetests-3.4
%endif # with_python3

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python_version}.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%endif # with_python3


%changelog
* Fri Jun 12 2015 Matthias Runge <mrunge@redhat.com> - 0.9.0-2
- switch to github sourcecode, license included
- add tests, fix conditionals for python3

* Thu Jun 11 2015 Matthias Runge <mrunge@redhat.com> - 0.9.0-1
- Initial package. (rhbz#1230548)
